import { createRouter, createWebHashHistory } from "vue-router";
import config from "~/configs"

import Home from "~/views/index.vue"

const routes = [
  {
    path: '/',
    name: 'Home',
    meta: {
      title: '首页'
    },
    component: Home,
    children: [
      {
        path: "/dashboard",
        name: "dashboard",
        meta: {
          title: '系统首页',
          permiss: '1'
        },
        component: () => import('~/views/text.vue')
      }
    ]
  }
]

const router = createRouter({
  history: createWebHashHistory(),
  routes
})

router.beforeEach((to, from, next) => {
  document.title = `${to.meta.title} | ${config.title} `;

  //const role = localStorage.getItem('ms_username');
  // console.log("===========", role)

  // const permiss = usePermissStore();
  // console.log("to.meta.permiss==", to.meta.permiss);
  // console.log("!permiss.key.includes(to.meta.permiss)==", !permiss.key.includes(to.meta.permiss));
  next();
  /**
  if (!role && to.path !== '/login') {
      next('/login');
  } else if (to.meta.permiss && !permiss.key.includes(to.meta.permiss)) {
      // 如果没有权限，则进入403
      next('/403');
  } else {
      next();
  }
 **/
});


export default router